"use strict";
const index_1 = require("../../index");
/**
 * Composite index must be set on entity classes and must specify entity's fields to be indexed.
 */
function CompositeIndex(nameOrFields, maybeFieldsOrOptions, maybeOptions) {
    const name = typeof nameOrFields === "string" ? nameOrFields : undefined;
    const fields = typeof nameOrFields === "string" ? maybeFieldsOrOptions : nameOrFields;
    const options = typeof maybeFieldsOrOptions === "object" ? maybeFieldsOrOptions : maybeOptions;
    return function (cls) {
        const args = {
            target: cls,
            name: name,
            columns: fields,
            unique: options && options.unique ? true : false
        };
        index_1.getMetadataArgsStorage().indices.add(args);
    };
}
exports.CompositeIndex = CompositeIndex;

//# sourceMappingURL=CompositeIndex.js.map
