"use strict";
const EntityManager_1 = require("./EntityManager");
const ReactiveEntityManager_1 = require("./ReactiveEntityManager");
/**
 * Entity manager supposed to work with any entity, automatically find its repository and call its method, whatever
 * entity type are you passing.
 */
class EntityManagerFactory {
    // -------------------------------------------------------------------------
    // Public Methods
    // -------------------------------------------------------------------------
    createEntityManager(connection) {
        return new EntityManager_1.EntityManager(connection);
    }
    createReactiveEntityManager(connection) {
        return new ReactiveEntityManager_1.ReactiveEntityManager(connection);
    }
}
exports.EntityManagerFactory = EntityManagerFactory;

//# sourceMappingURL=EntityManagerFactory.js.map
