import { Repository } from "./Repository";
import { EntityMetadata } from "../metadata/EntityMetadata";
import { ReactiveRepository } from "./ReactiveRepository";
import { SpecificRepository } from "./SpecificRepository";
import { SpecificReactiveRepository } from "./ReactiveSpecificRepository";
import { Connection } from "../connection/Connection";
/**
 * Aggregates all repositories of the specific metadata.
 */
export declare class RepositoryForMetadata {
    /**
     * Entity which owns repositories.
     */
    readonly metadata: EntityMetadata;
    /**
     * All connection's repositories.
     */
    readonly repository: Repository<any>;
    /**
     * All connection's reactive repositories.
     */
    readonly reactiveRepository: ReactiveRepository<any>;
    /**
     * All connection's specific repositories.
     */
    readonly specificRepository: SpecificRepository<any>;
    /**
     * All connection's specific reactive repositories.
     */
    readonly specificReactiveRepository: SpecificReactiveRepository<any>;
    constructor(connection: Connection, metadata: EntityMetadata);
}
