"use strict";
const index_1 = require("../index");
const RepositoryFactory_1 = require("./RepositoryFactory");
/**
 * Aggregates all repositories of the specific metadata.
 */
class RepositoryForMetadata {
    // -------------------------------------------------------------------------
    // Constructor
    // -------------------------------------------------------------------------
    constructor(connection, metadata) {
        const repositoryFactory = index_1.getFromContainer(RepositoryFactory_1.RepositoryFactory);
        this.metadata = metadata;
        if (metadata.table.isClosure) {
            this.repository = repositoryFactory.createTreeRepository(connection, metadata);
            this.reactiveRepository = repositoryFactory.createReactiveTreeRepository(this.repository);
        }
        else {
            this.repository = repositoryFactory.createRepository(connection, metadata);
            this.reactiveRepository = repositoryFactory.createReactiveRepository(this.repository);
        }
        this.specificRepository = repositoryFactory.createSpecificRepository(connection, metadata, this.repository);
        this.specificReactiveRepository = repositoryFactory.createSpecificReactiveRepository(this.specificRepository);
    }
}
exports.RepositoryForMetadata = RepositoryForMetadata;

//# sourceMappingURL=RepositoryForMetadata.js.map
